# atomicity.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file atomicity.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _GLIBCXX_ATOMICITY_H
- #define _GLIBCXX_READ_MEM_BARRIER
- #define _GLIBCXX_WRITE_MEM_BARRIER

## Functions

- static void __gnu_cxx::__atomic_add_single (_Atomic_word *__mem, int __val)
- _Atomic_word __gnu_cxx::__attribute__ ((__unused__)) __exchange_and_add(volatile _Atomic_word *
- static _Atomic_word __gnu_cxx::__exchange_and_add_single (_Atomic_word *__mem, int __val)

## Variables

- void __gnu_cxx::int
- _Atomic_word __gnu_cxx::int